function f(s, d, e, i, u) {
  i === void 0 && (i = 0), u === void 0 && (u = !1);
  var c = d.schedule(function() {
    e(), u ? s.add(this.schedule(null, i)) : this.unsubscribe();
  }, i);
  if (s.add(c), !u)
    return c;
}
export {
  f as executeSchedule
};
